package net.voltexstudios;

import net.fabricmc.api.ModInitializer;

import net.fabricmc.fabric.api.object.builder.v1.entity.FabricDefaultAttributeRegistry;
import net.voltexstudios.entity.ModEntities;
import net.voltexstudios.entity.custom.VultureEntity;
import net.voltexstudios.item.ModItems;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class VoltexDesertUpdate implements ModInitializer {

	public static final String MOD_ID = "voltexdesertupdate";

	public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	@Override
	public void onInitialize() {
		LOGGER.info("Hello Fabric world!");

		ModItems.registerModItems();

		ModEntities.registerModEntities();

		FabricDefaultAttributeRegistry.register(ModEntities.VULTURE_ENTITY, VultureEntity.createAttributes());
	}
}